//po4a: entry man manual
= blkpr(8)
:doctype: manpage
:man manual: System Administration
:man source: util-linux {release-version}
:page-layout: base
:command: blkpr

== NAME

blkpr - run persistent reservations command on a device

== SYNOPSIS

*blkpr* [options] _device_

== DESCRIPTION

*blkpr* is used to run persistent reservations command on device that supports Persistent Reservations feature.

The _device_ argument is the pathname of the block device.

== OPTIONS

*-c*, *--command* _command_::
The command of persistent reservations, supported commands are *register*, *reserve*, *release*, *preempt*,
*preempt-abort*, and *clear*.

*-k*, *--key* _key_::
The key the command should operate on.

*-K*, *--oldkey* _oldkey_::
The old key the command should operate on.

*-f*, *--flag* _flag_::
Supported flag is *ignore-key*.

*-t*, *--type* _type_::
Supported types are *write-exclusive*, *exclusive-access*, *write-exclusive-reg-only*,
*exclusive-access-reg-only*, *write-exclusive-all-regs*, and *exclusive-access-all-regs*.

*-V*, *--version*::
Display version information and exit.

*-h*, *--help*::
Display help text and exit.

== AUTHORS

mailto:pizhenwei@bytedance.com[zhenwei pi]

== SEE ALSO

*sg_persist*(8)

Linux documentation at: <https://docs.kernel.org/block/pr.html>
iSCSI specification at: <https://datatracker.ietf.org/doc/html/rfc3720>
NVMe-oF specification at: <https://nvmexpress.org/nvme-over-fabrics-part-two/>

include::man-common/bugreports.adoc[]

include::man-common/footer.adoc[]

ifdef::translation[]
include::man-common/translation.adoc[]
endif::[]
